Error of installing qiime2-2022.11 and 2023.2 with conda on Linux

Hello

I try to install qiime2 on linux using both qiime2-2022.11 and 2023.2. But the same error occurs: ERROR conda.core.link:_execute(730): An error occurred while installing package 'bioconda::bioconductor-genomeinfodbdata-1.2.9-r42hdfd78af_0'. I try the whole process twice for each version, but still failed.

Here is the code of qiime2-2023.2 as follows:

Preparing transaction: done
Verifying transaction: done
Executing transaction: done
ERROR conda.core.link:_execute(730): An error occurred while installing package 'bioconda::bioconductor-genomeinfodbdata-1.2.9-r42hdfd78af_0'.
Rolling back transaction: done
class: LinkError
message:
post-link script failed for package bioconda::bioconductor-genomeinfodbdata-1.2.9-r42hdfd78af_0
location of failed script: /home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/bin/.bioconductor-genomeinfodbdata-post-link.sh
==> script messages <==

==> script output <==
stdout: /home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/share/genomeinfodbdata-1.2.9/"GenomeInfoDbData_1.2.9.tar.gz": OK

stderr: /home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/.tmp9cw_w5yc: line 66: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2023.2/etc/conda/activate.d/00_activate_qiime2_envs.sh: No such file or directory
/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/.tmp9cw_w5yc: line 67: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2023.2/etc/conda/activate.d/50_activate_q2cli_tab_completion.sh: No such file or directory
/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/.tmp9cw_w5yc: line 68: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2023.2/etc/conda/activate.d/activate-r-base.sh: No such file or directory
/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/.tmp9cw_w5yc: line 69: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2023.2/etc/conda/activate.d/libglib_activate.sh: No such file or directory
/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/.tmp9cw_w5yc: line 70: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2023.2/etc/conda/activate.d/libxml2_activate.sh: No such file or directory
/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/.tmp9cw_w5yc: line 71: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2023.2/etc/conda/activate.d/openjdk_activate.sh: No such file or directory
++ dirname -- '/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/bin/installBiocDataPackage.sh'

  • SCRIPT_DIR='/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/bin/../share/bioconductor-data-packages'
  • json='/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/bin/../share/bioconductor-data-packages/dataURLs.json'
    ++ yq '."genomeinfodbdata-1.2.9".fn' '/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/bin/../share/bioconductor-data-packages/dataURLs.json'
  • FN='"GenomeInfoDbData_1.2.9.tar.gz"'
  • IFS=
  • read -r value
    ++ yq '."genomeinfodbdata-1.2.9".urls[]' '/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/bin/../share/bioconductor-data-packages/dataURLs.json'
  • URLS+=($value)
  • IFS=
  • read -r value
  • URLS+=($value)
  • IFS=
  • read -r value
  • URLS+=($value)
  • IFS=
  • read -r value
    ++ yq '."genomeinfodbdata-1.2.9".md5' '/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/bin/../share/bioconductor-data-packages/dataURLs.json'
  • MD5='"7cc138cfb74665fdfa8d1c244eac4879"'
  • STAGING='/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/share/genomeinfodbdata-1.2.9'
  • mkdir -p '/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/share/genomeinfodbdata-1.2.9'
  • TARBALL='/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/share/genomeinfodbdata-1.2.9/"GenomeInfoDbData_1.2.9.tar.gz"'
  • SUCCESS=0
  • for URL in '${URLS[@]}'
    ++ echo '"https://bioconductor.org/packages/3.16/data/annotation/src/contrib/GenomeInfoDbData_1.2.9.tar.gz"'
    ++ tr -d '"'
  • URL=https://bioconductor.org/packages/3.16/data/annotation/src/contrib/GenomeInfoDbData_1.2.9.tar.gz
    ++ echo '"7cc138cfb74665fdfa8d1c244eac4879"'
    ++ tr -d '"'
  • MD5=7cc138cfb74665fdfa8d1c244eac4879
  • curl -L https://bioconductor.org/packages/3.16/data/annotation/src/contrib/GenomeInfoDbData_1.2.9.tar.gz
    % Total % Received % Xferd Average Speed Time Time Time Current
    Dload Upload Total Spent Left Speed
    100 11.1M 100 11.1M 0 0 32.1M 0 --:--:-- --:--:-- --:--:-- 32.2M
  • [[ 0 == 0 ]]
    ++ uname -s
  • [[ Linux == \L\i\n\u\x ]]
  • md5sum -c
  • SUCCESS=1
  • break
  • [[ 1 != 1 ]]
  • R CMD INSTALL '--library=/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/lib/R/library' '/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/share/genomeinfodbdata-1.2.9/"GenomeInfoDbData_1.2.9.tar.gz"'
    /home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/bin/R: line 142: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2023.2/lib/R/etc/ldpaths: No such file or directory

return code: 1

kwargs:
{}

Traceback (most recent call last):
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/exceptions.py", line 1082, in call
return func(*args, **kwargs)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda_env/cli/main.py", line 80, in do_call
exit_code = getattr(module, func_name)(args, parser)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda_env/cli/main_create.py", line 142, in execute
result[installer_type] = installer.install(prefix, pkg_specs, args, env)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda_env/installers/conda.py", line 59, in install
unlink_link_transaction.execute()
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/core/link.py", line 281, in execute
self._execute(tuple(concat(interleave(itervalues(self.prefix_action_groups)))))
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/core/link.py", line 744, in _execute
raise CondaMultiError(tuple(concatv(
conda.CondaMultiErrorclass: LinkError
message:
post-link script failed for package bioconda::bioconductor-genomeinfodbdata-1.2.9-r42hdfd78af_0
location of failed script: /home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/bin/.bioconductor-genomeinfodbdata-post-link.sh
==> script messages <==

==> script output <==
stdout: /home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/share/genomeinfodbdata-1.2.9/"GenomeInfoDbData_1.2.9.tar.gz": OK

stderr: /home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/.tmp9cw_w5yc: line 66: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2023.2/etc/conda/activate.d/00_activate_qiime2_envs.sh: No such file or directory
/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/.tmp9cw_w5yc: line 67: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2023.2/etc/conda/activate.d/50_activate_q2cli_tab_completion.sh: No such file or directory
/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/.tmp9cw_w5yc: line 68: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2023.2/etc/conda/activate.d/activate-r-base.sh: No such file or directory
/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/.tmp9cw_w5yc: line 69: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2023.2/etc/conda/activate.d/libglib_activate.sh: No such file or directory
/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/.tmp9cw_w5yc: line 70: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2023.2/etc/conda/activate.d/libxml2_activate.sh: No such file or directory
/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/.tmp9cw_w5yc: line 71: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2023.2/etc/conda/activate.d/openjdk_activate.sh: No such file or directory
++ dirname -- '/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/bin/installBiocDataPackage.sh'

  • SCRIPT_DIR='/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/bin/../share/bioconductor-data-packages'
  • json='/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/bin/../share/bioconductor-data-packages/dataURLs.json'
    ++ yq '."genomeinfodbdata-1.2.9".fn' '/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/bin/../share/bioconductor-data-packages/dataURLs.json'
  • FN='"GenomeInfoDbData_1.2.9.tar.gz"'
  • IFS=
  • read -r value
    ++ yq '."genomeinfodbdata-1.2.9".urls[]' '/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/bin/../share/bioconductor-data-packages/dataURLs.json'
  • URLS+=($value)
  • IFS=
  • read -r value
  • URLS+=($value)
  • IFS=
  • read -r value
  • URLS+=($value)
  • IFS=
  • read -r value
    ++ yq '."genomeinfodbdata-1.2.9".md5' '/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/bin/../share/bioconductor-data-packages/dataURLs.json'
  • MD5='"7cc138cfb74665fdfa8d1c244eac4879"'
  • STAGING='/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/share/genomeinfodbdata-1.2.9'
  • mkdir -p '/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/share/genomeinfodbdata-1.2.9'
  • TARBALL='/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/share/genomeinfodbdata-1.2.9/"GenomeInfoDbData_1.2.9.tar.gz"'
  • SUCCESS=0
  • for URL in '${URLS[@]}'
    ++ echo '"https://bioconductor.org/packages/3.16/data/annotation/src/contrib/GenomeInfoDbData_1.2.9.tar.gz"'
    ++ tr -d '"'
  • URL=https://bioconductor.org/packages/3.16/data/annotation/src/contrib/GenomeInfoDbData_1.2.9.tar.gz
    ++ echo '"7cc138cfb74665fdfa8d1c244eac4879"'
    ++ tr -d '"'
  • MD5=7cc138cfb74665fdfa8d1c244eac4879
  • curl -L https://bioconductor.org/packages/3.16/data/annotation/src/contrib/GenomeInfoDbData_1.2.9.tar.gz
    % Total % Received % Xferd Average Speed Time Time Time Current
    Dload Upload Total Spent Left Speed
    100 11.1M 100 11.1M 0 0 32.1M 0 --:--:-- --:--:-- --:--:-- 32.2M
  • [[ 0 == 0 ]]
    ++ uname -s
  • [[ Linux == \L\i\n\u\x ]]
  • md5sum -c
  • SUCCESS=1
  • break
  • [[ 1 != 1 ]]
  • R CMD INSTALL '--library=/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/lib/R/library' '/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/share/genomeinfodbdata-1.2.9/"GenomeInfoDbData_1.2.9.tar.gz"'
    /home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2023.2/bin/R: line 142: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2023.2/lib/R/etc/ldpaths: No such file or directory

return code: 1

kwargs:
{}

: <exception str() failed>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/bin/conda-env", line 7, in
sys.exit(main())
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda_env/cli/main.py", line 91, in main
return conda_exception_handler(do_call, args, parser)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/exceptions.py", line 1374, in conda_exception_handler
return_value = exception_handler(func, *args, **kwargs)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/exceptions.py", line 1085, in call
return self.handle_exception(exc_val, exc_tb)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/exceptions.py", line 1116, in handle_exception
return self.handle_application_exception(exc_val, exc_tb)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/exceptions.py", line 1132, in handle_application_exception
self._print_conda_exception(exc_val, exc_tb)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/exceptions.py", line 1136, in _print_conda_exception
print_conda_exception(exc_val, exc_tb)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/exceptions.py", line 1059, in print_conda_exception
stderrlog.error("\n%r\n", exc_val)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/logging/init.py", line 1475, in error
self._log(ERROR, msg, args, **kwargs)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/logging/init.py", line 1589, in _log
self.handle(record)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/logging/init.py", line 1598, in handle
if (not self.disabled) and self.filter(record):
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/logging/init.py", line 806, in filter
result = f.filter(record)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/gateways/logging.py", line 61, in filter
record.msg = record.msg % new_args
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/init.py", line 132, in repr
errs.append(e.repr())
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/init.py", line 71, in repr
return '%s: %s' % (self.class.name, text_type(self))
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/init.py", line 90, in str
return text_type(self.message % self._kwargs)
ValueError: unsupported format character 'T' (0x54) at index 3633

Here is the code of qiime2-2022.11 as follows:

Preparing transaction: done
Verifying transaction: done
Executing transaction: done
ERROR conda.core.link:_execute(730): An error occurred while installing package 'bioconda::bioconductor-genomeinfodbdata-1.2.9-r42hdfd78af_0'.
Rolling back transaction: done
class: LinkError
message:
post-link script failed for package bioconda::bioconductor-genomeinfodbdata-1.2.9-r42hdfd78af_0
location of failed script: /home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/bin/.bioconductor-genomeinfodbdata-post-link.sh
==> script messages <==

==> script output <==
stdout: /home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/share/genomeinfodbdata-1.2.9/"GenomeInfoDbData_1.2.9.tar.gz": OK

stderr: /home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/.tmpi3cz2yeq: line 66: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2022.11/etc/conda/activate.d/00_activate_qiime2_envs.sh: No such file or directory
/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/.tmpi3cz2yeq: line 67: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2022.11/etc/conda/activate.d/50_activate_q2cli_tab_completion.sh: No such file or directory
/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/.tmpi3cz2yeq: line 68: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2022.11/etc/conda/activate.d/activate-r-base.sh: No such file or directory
/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/.tmpi3cz2yeq: line 69: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2022.11/etc/conda/activate.d/libglib_activate.sh: No such file or directory
/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/.tmpi3cz2yeq: line 70: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2022.11/etc/conda/activate.d/libxml2_activate.sh: No such file or directory
/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/.tmpi3cz2yeq: line 71: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2022.11/etc/conda/activate.d/openjdk_activate.sh: No such file or directory
++ dirname -- '/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/bin/installBiocDataPackage.sh'

  • SCRIPT_DIR='/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/bin/../share/bioconductor-data-packages'
  • json='/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/bin/../share/bioconductor-data-packages/dataURLs.json'
    ++ yq '."genomeinfodbdata-1.2.9".fn' '/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/bin/../share/bioconductor-data-packages/dataURLs.json'
  • FN='"GenomeInfoDbData_1.2.9.tar.gz"'
  • IFS=
  • read -r value
    ++ yq '."genomeinfodbdata-1.2.9".urls[]' '/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/bin/../share/bioconductor-data-packages/dataURLs.json'
  • URLS+=($value)
  • IFS=
  • read -r value
  • URLS+=($value)
  • IFS=
  • read -r value
  • URLS+=($value)
  • IFS=
  • read -r value
    ++ yq '."genomeinfodbdata-1.2.9".md5' '/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/bin/../share/bioconductor-data-packages/dataURLs.json'
  • MD5='"7cc138cfb74665fdfa8d1c244eac4879"'
  • STAGING='/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/share/genomeinfodbdata-1.2.9'
  • mkdir -p '/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/share/genomeinfodbdata-1.2.9'
  • TARBALL='/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/share/genomeinfodbdata-1.2.9/"GenomeInfoDbData_1.2.9.tar.gz"'
  • SUCCESS=0
  • for URL in '${URLS[@]}'
    ++ echo '"https://bioconductor.org/packages/3.16/data/annotation/src/contrib/GenomeInfoDbData_1.2.9.tar.gz"'
    ++ tr -d '"'
  • URL=https://bioconductor.org/packages/3.16/data/annotation/src/contrib/GenomeInfoDbData_1.2.9.tar.gz
    ++ echo '"7cc138cfb74665fdfa8d1c244eac4879"'
    ++ tr -d '"'
  • MD5=7cc138cfb74665fdfa8d1c244eac4879
  • curl -L https://bioconductor.org/packages/3.16/data/annotation/src/contrib/GenomeInfoDbData_1.2.9.tar.gz
    % Total % Received % Xferd Average Speed Time Time Time Current
    Dload Upload Total Spent Left Speed
    100 11.1M 100 11.1M 0 0 109M 0 --:--:-- --:--:-- --:--:-- 110M
  • [[ 0 == 0 ]]
    ++ uname -s
  • [[ Linux == \L\i\n\u\x ]]
  • md5sum -c
  • SUCCESS=1
  • break
  • [[ 1 != 1 ]]
  • R CMD INSTALL '--library=/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/lib/R/library' '/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/share/genomeinfodbdata-1.2.9/"GenomeInfoDbData_1.2.9.tar.gz"'
    /home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/bin/R: line 142: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2022.11/lib/R/etc/ldpaths: No such file or directory

return code: 1

kwargs:
{}

Traceback (most recent call last):
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/exceptions.py", line 1082, in call
return func(*args, **kwargs)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda_env/cli/main.py", line 80, in do_call
exit_code = getattr(module, func_name)(args, parser)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda_env/cli/main_create.py", line 142, in execute
result[installer_type] = installer.install(prefix, pkg_specs, args, env)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda_env/installers/conda.py", line 59, in install
unlink_link_transaction.execute()
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/core/link.py", line 281, in execute
self._execute(tuple(concat(interleave(itervalues(self.prefix_action_groups)))))
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/core/link.py", line 744, in _execute
raise CondaMultiError(tuple(concatv(
conda.CondaMultiErrorclass: LinkError
message:
post-link script failed for package bioconda::bioconductor-genomeinfodbdata-1.2.9-r42hdfd78af_0
location of failed script: /home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/bin/.bioconductor-genomeinfodbdata-post-link.sh
==> script messages <==

==> script output <==
stdout: /home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/share/genomeinfodbdata-1.2.9/"GenomeInfoDbData_1.2.9.tar.gz": OK

stderr: /home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/.tmpi3cz2yeq: line 66: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2022.11/etc/conda/activate.d/00_activate_qiime2_envs.sh: No such file or directory
/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/.tmpi3cz2yeq: line 67: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2022.11/etc/conda/activate.d/50_activate_q2cli_tab_completion.sh: No such file or directory
/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/.tmpi3cz2yeq: line 68: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2022.11/etc/conda/activate.d/activate-r-base.sh: No such file or directory
/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/.tmpi3cz2yeq: line 69: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2022.11/etc/conda/activate.d/libglib_activate.sh: No such file or directory
/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/.tmpi3cz2yeq: line 70: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2022.11/etc/conda/activate.d/libxml2_activate.sh: No such file or directory
/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/.tmpi3cz2yeq: line 71: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2022.11/etc/conda/activate.d/openjdk_activate.sh: No such file or directory
++ dirname -- '/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/bin/installBiocDataPackage.sh'

  • SCRIPT_DIR='/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/bin/../share/bioconductor-data-packages'
  • json='/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/bin/../share/bioconductor-data-packages/dataURLs.json'
    ++ yq '."genomeinfodbdata-1.2.9".fn' '/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/bin/../share/bioconductor-data-packages/dataURLs.json'
  • FN='"GenomeInfoDbData_1.2.9.tar.gz"'
  • IFS=
  • read -r value
    ++ yq '."genomeinfodbdata-1.2.9".urls[]' '/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/bin/../share/bioconductor-data-packages/dataURLs.json'
  • URLS+=($value)
  • IFS=
  • read -r value
  • URLS+=($value)
  • IFS=
  • read -r value
  • URLS+=($value)
  • IFS=
  • read -r value
    ++ yq '."genomeinfodbdata-1.2.9".md5' '/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/bin/../share/bioconductor-data-packages/dataURLs.json'
  • MD5='"7cc138cfb74665fdfa8d1c244eac4879"'
  • STAGING='/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/share/genomeinfodbdata-1.2.9'
  • mkdir -p '/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/share/genomeinfodbdata-1.2.9'
  • TARBALL='/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/share/genomeinfodbdata-1.2.9/"GenomeInfoDbData_1.2.9.tar.gz"'
  • SUCCESS=0
  • for URL in '${URLS[@]}'
    ++ echo '"https://bioconductor.org/packages/3.16/data/annotation/src/contrib/GenomeInfoDbData_1.2.9.tar.gz"'
    ++ tr -d '"'
  • URL=https://bioconductor.org/packages/3.16/data/annotation/src/contrib/GenomeInfoDbData_1.2.9.tar.gz
    ++ echo '"7cc138cfb74665fdfa8d1c244eac4879"'
    ++ tr -d '"'
  • MD5=7cc138cfb74665fdfa8d1c244eac4879
  • curl -L https://bioconductor.org/packages/3.16/data/annotation/src/contrib/GenomeInfoDbData_1.2.9.tar.gz
    % Total % Received % Xferd Average Speed Time Time Time Current
    Dload Upload Total Spent Left Speed
    100 11.1M 100 11.1M 0 0 109M 0 --:--:-- --:--:-- --:--:-- 110M
  • [[ 0 == 0 ]]
    ++ uname -s
  • [[ Linux == \L\i\n\u\x ]]
  • md5sum -c
  • SUCCESS=1
  • break
  • [[ 1 != 1 ]]
  • R CMD INSTALL '--library=/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/lib/R/library' '/home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/share/genomeinfodbdata-1.2.9/"GenomeInfoDbData_1.2.9.tar.gz"'
    /home/zlbkw/storage/hpc/data/$zlbkw/miniconda/envs/qiime2-2022.11/bin/R: line 142: /home/zlbkw/storage/hpc/data//miniconda/envs/qiime2-2022.11/lib/R/etc/ldpaths: No such file or directory

return code: 1

kwargs:
{}

: <exception str() failed>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/bin/conda-env", line 7, in
sys.exit(main())
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda_env/cli/main.py", line 91, in main
return conda_exception_handler(do_call, args, parser)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/exceptions.py", line 1374, in conda_exception_handler
return_value = exception_handler(func, *args, **kwargs)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/exceptions.py", line 1085, in call
return self.handle_exception(exc_val, exc_tb)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/exceptions.py", line 1116, in handle_exception
return self.handle_application_exception(exc_val, exc_tb)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/exceptions.py", line 1132, in handle_application_exception
self._print_conda_exception(exc_val, exc_tb)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/exceptions.py", line 1136, in _print_conda_exception
print_conda_exception(exc_val, exc_tb)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/exceptions.py", line 1059, in print_conda_exception
stderrlog.error("\n%r\n", exc_val)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/logging/init.py", line 1475, in error
self._log(ERROR, msg, args, **kwargs)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/logging/init.py", line 1589, in _log
self.handle(record)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/logging/init.py", line 1598, in handle
if (not self.disabled) and self.filter(record):
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/logging/init.py", line 806, in filter
result = f.filter(record)
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/gateways/logging.py", line 61, in filter
record.msg = record.msg % new_args
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/init.py", line 132, in repr
errs.append(e.repr())
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/init.py", line 71, in repr
return '%s: %s' % (self.class.name, text_type(self))
File "/cluster/spack-2022/opt/spack/linux-centos7-x86_64/gcc-9.3.0/miniconda3-4.12.0-ehsyriejw4yujua4bquzedrj5jy7iqgd/lib/python3.9/site-packages/conda/init.py", line 90, in str
return text_type(self.message % self._kwargs)
ValueError: unsupported format character 'T' (0x54) at index 3656

Does any expert know what happened and what should i do next?

Thang you
Zonggang

Hi @Zonggang,

Welcome to the :qiime2: forum!

From the logs you provided, it looks like you're attempting to run QIIME 2 on an HPC cluster - I'm wondering if there are conflicting versions that have been installed prior to your attempt to install 2023.2 and 2022.11.

I would first try the following:

  1. Delete any existing QIIME 2 environments under your account
  2. run conda clean --all to remove any cached files, package locks, etc.
  3. Run a fresh install of 2023.2 using the instructions here.

If you still receive the same error, you may need to reach out to your IT admin for this cluster and have them delete and re-install conda and QIIME 2.

Cheers :lizard:

Hello Liz

I tried again using the instruction you give me, but failed again. I will go to the admin tomorrow.
Thank you very much.

Best,
Zonggang

2 Likes

Thanks for the Qiime Forum. I finally make it.

I use the University HPC cluster. After installing the conda, I do not change the configuration according to instruction. So I talked with the admin and changed the configuration. Finally, it works

Following is the recommended configuration of conda. Hope this could be helpful.

Recommended Configuration

By default, Conda stores environments and packages within the folder ~/.conda.

To avoid using up all of your home folder's quota, which can easily happen when using Conda, we recommend placing the following within the file ~/.condarc. You can create the file if it is not already present. You can also choose a different path, so long as it is not in your home folder.

envs_dirs:
  - /storage/hpc/data/${USER}/miniconda/envs
pkgs_dirs:
  - /storage/hpc/data/${USER}/miniconda/pkgs

Best,
Zonggang

1 Like

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.